## com.lowagie.tools.arguments
Class ImageArgument

    java.lang.Object
      com.lowagie.tools.arguments.ToolArgument
          com.lowagie.tools.arguments.ImageArgument

All Implemented Interfaces:
  ActionListener, EventListener, PropertyChangeListener

public class ImageArgument
extends ToolArgument

ToolArgument class if the argument is a com.lowagie.text.Image.

Field Summary
`private FileFilter` `filter` a filter to put on the FileChooser.

Fields inherited from class com.lowagie.tools.arguments.ToolArgument
`classname, description, name, propertyChangeListeners, tool, value`

Constructor Summary
`ImageArgument(AbstractTool tool, String name, String description)` Constructs a FileArgument.
`ImageArgument(AbstractTool tool, String name, String description, FileFilter filter)` Constructs a FileArgument.

Method Summary
`void` `actionPerformed(ActionEvent e)`
`Object` `getArgument()` Gets the argument as an object.

Methods inherited from class com.lowagie.tools.arguments.ToolArgument
`addPropertyChangeListener, firePropertyChange, getClassname, getDescription, getName, getUsage, getValue, propertyChange, removePropertyChangeListener, setClassname, setDescription, setName, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### filter

    private FileFilter filter

  a filter to put on the FileChooser.

Constructor Detail

### ImageArgument

    public ImageArgument(AbstractTool tool,
                         String name,
                         String description,
                         FileFilter filter)

  Constructs a FileArgument.

Parameters:
  `tool` - the tool that needs this argument
  `name` - the name of the argument
  `description` - the description of the argument
  `filter` - a custom filter

### ImageArgument

    public ImageArgument(AbstractTool tool,
                         String name,
                         String description)

  Constructs a FileArgument.

Parameters:
  `tool` - the tool that needs this argument
  `name` - the name of the argument
  `description` - the description of the argument

Method Detail

### getArgument

    public Object getArgument()
                       throws InstantiationException

  Gets the argument as an object.

  Overrides:
    `getArgument` in class `ToolArgument`
  Returns:
    an object
  Throws:
    `InstantiationException`

### actionPerformed

    public void actionPerformed(ActionEvent e)

  Specified by:
    `actionPerformed` in interface `ActionListener`
  Overrides:
    `actionPerformed` in class `ToolArgument`
  See Also:
    `ActionListener.actionPerformed(java.awt.event.ActionEvent)`